//
//  MyFilter.h
//  SoundGenThru
//
//  Created by Justin Bakse on Fri Feb 20 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef struct{
    int shape;
    float pos;
    float freq;
    float amplitude;
    float offset;
    int active;
}Oscillator;

enum {kSawWave = 0, kSquareWave, kSineWave};



@interface MyFilter : NSObject {
//declare variables here

    float buffer[44100];
    int bLength;
    int readPos;
    int writePos;
    int delay;
    
    Oscillator lfo1;
   

}



- (void)filterInput:(const float*)input
             Output:(float*)output
        SampleCount:(UInt32)sampleCount
            Channel:(UInt32)channel;

- (IBAction)setRate:(id)sender;
- (IBAction)setDepth:(id)sender;

@end
